CMSIS-DSP: Entropy

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Entropy
Statistics Functions

## Functions

float16_t | arm_entropy_f16 (const float16_t *pSrcA, uint32_t blockSize)
| Entropy. More...
float32_t | arm_entropy_f32 (const float32_t *pSrcA, uint32_t blockSize)
| Entropy. More...
float64_t | arm_entropy_f64 (const float64_t *pSrcA, uint32_t blockSize)
| Entropy. More...

## Description

Computes the entropy of a distribution

## Function Documentation

float16_t arm_entropy_f16 | ( | const float16_t * | pSrcA,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | Array of input values.
  [in] | blockSize | Number of samples in the input array.

Returns
  Entropy -Sum(p ln p)

float32_t arm_entropy_f32 | ( | const float32_t * | pSrcA,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | Array of input values.
  [in] | blockSize | Number of samples in the input array.

Returns
  Entropy -Sum(p ln p)

float64_t arm_entropy_f64 | ( | const float64_t * | pSrcA,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pSrcA | Array of input values.
  [in] | blockSize | Number of samples in the input array.

Returns
  Entropy -Sum(p ln p)